NVIDIA-HEALTHMON(8)

NAME
nvidia-healthmon - a tool for detecting and troubleshooting common problems with NVIDIA Tesla GPUs.

SYNOPSIS
nvidia-healthmon [OPTIONS] ...

DESCRIPTION
nvidia-healthmon is a system administrator's and cluster manager's tool for detecting and troubleshooting common problems affecting NVIDIA Tesla GPUs in a high performance computing environment. nvidia-healthmon contains limited hardware diagnostic capabilities, and focuses on software and system configuration issues.

OPTIONS

-h | --help
    Print usage information and exit.

-H | --verbose-help
    Print detailed usage information and exit.

-v | --verbose
    Enable verbose output. The default output of nvidia-healthmon will not report values for various metrics it has collected. This option can be used to print values like the pinned memory bandwidth and CUDA device query information. Additionally, verbose mode will provide information about why tests were skipped.

-V | --version
    Prints the nvidia-healthmon version number.

-q | --quick
    Execute only a subset of the test suite. This mode of operation is designed to run very quickly, usually just a few seconds. Suitable for job prologue and epilogue scripts

-e | --extended
    Execute the complete test suite. This takes longer to run, but covers more tests. Suitable for post-job failure or periodic nightly health checks.

-i | --id <GPU ID>
    Target a specific GPU. The GPU may be specified by its enumeration index, board serial number, the PCI bus id or its GUID. All of these identifiers are available through nvidia-smi.

-L | --list-devices
    List all the GPUs attached.

-c | --config <file>
    Use the config file specified rather than the default nvidia-healthmon.conf located in the current directory.

-d | --debug <file>
    Enable debug logging and specify the log file. These files may be encrypted and are intended for NVIDIA analysis.

-l | --log-file <file>
    Write all output to file rather than STDOUT

-t | --timeout
    Maximum time allowed to run each test, in seconds. The default is 120 seconds and a value of 0 disables timeout altogether. Healthmon will abort the test with an error if the timeout is hit.

FILES
nvidia-healthmon.conf
    The configuration file. Can be overridden using [ -c | --config file ]. Please see the nvidia-healthmon User Manual for details of the configuration file. The configuration file must be edited to provide full test coverage, as some types of tests vary from system to system and require user calibration of expected results.

SEE ALSO

NVIDIA Healthmon User Manual at http://docs.nvidia.com/deploy/index.html

AUTHOR

NVIDIA Corporation

COPYRIGHT

Copyright 2011-2014 NVIDIA Corporation.